// -*- Mode:C++ -*-
//Header:
//File: BBpLinkWrap.cc
//Author: NODA, Itsuki
//Date: 2000/01/12
//

//ModifyHistory:
// 2000/01/12: Start to create this file
//EndModifyHistory:

#include "VBpLinkWrap.h"

namespace Nnn {

   //----------------------------------------------------------------------
   // dummy value

   Val VBpLinkWrap::_dummy = 0.0 ;

   //----------------------------------------------------------------------
   // save

   void VBpLinkWrap::save(ostream & ostr) const {
      StrForm::writeBeginTerm(ostr,LblTermHead) ;
      StrForm::writeAssocRole(ostr,LblWeight) ; 
      ostr << NNN_VAL_FORMAT << w ;
      StrForm::writeEndTerm(ostr) ;
   } ;
   
   //----------------------------------------------------------------------
   // load

   void VBpLinkWrap::scan(StrForm & sform) {
      if(!sform.isTerm(LblTermHead)) {
	 ITK_ERR("Illegal UnitBase StrForm:" << sform) ;
	 throw 0 ;
      } ;
      w = sform.assoc(LblWeight)->cvtFlt() ;
   } ;

} ;
