// -*- Mode:C++ -*-
//Header:
//File: VBpUnitWrap.cc
//Author: NODA, Itsuki
//Date: 2000/01/12
//

//ModifyHistory:
// 2000/01/12: Start to create this file
//EndModifyHistory:

#include "VBpUnitWrap.h"

namespace Nnn {

   //----------------------------------------------------------------------
   // dummy value

   Val VBpUnitWrap::_dummy = 0.0;

   //----------------------------------------------------------------------
   // save

   void VBpUnitWrap::save(ostream & ostr) const {
      StrForm::writeBeginTerm(ostr,LblTermHead) ;
      StrForm::writeAssocRole(ostr,LblThr) ; 
      ostr << NNN_VAL_FORMAT << thr ;
      StrForm::writeEndTerm(ostr) ;
   } ;
   
   //----------------------------------------------------------------------
   // load

   void VBpUnitWrap::scan(StrForm & sform) {
      if(!sform.isTerm(LblTermHead)) {
	 ITK_ERR("Illegal VBpUnitWrap StrForm:" << sform) ;
	 throw 0 ;
      } ;
      thr = sform.assoc(LblThr)->cvtFlt() ;
   } ;

} ;
