// -*- Mode:C++ -*-
//Header:
//File: TrainSetBase.h
//Title: Training Set Base
//Author: NODA, Itsuki
//Date: 2000/01/05
//

//ModifyHistory:
// 2000/01/05: Start to create this file
//EndModifyHistory:

#ifndef _Nnn_TrainSetBase_h_
#define _Nnn_TrainSetBase_h_
////////////////////////////////////////////////////////////////////////

#include "ValVector.h"

namespace Nnn {

   using namespace Itk ;

   //======================================================================
   // Elman 3 Sigmoid Layer

   class TrainSetBase: public WithDescriber {
	 //--------------------------------------------------
	 // top facility
      public:
	 virtual UInt sizeInp() const = 0 ;
	 virtual UInt sizeTch() const = 0 ;

	 virtual void get(ValVector & inpvec, ValVector & tchvec) = 0 ;
   } ;

} ;
////////////////////////////////////////////////////////////////////////
#endif


